Skip to content
getgeolens.com

Get Feature Flags

GET
/settings/feature-flags/
curl --request GET \
--url https://example.com/settings/feature-flags/

Return public feature flags (no auth required).

Successful Response

Media type application/json
FeatureFlagsResponse

Public feature flags readable by any authenticated user.

object
enable_dataset_editing
Enable Dataset Editing
boolean
require_metadata_for_publish
Require Metadata For Publish
boolean
Example
{
"enable_dataset_editing": false,
"require_metadata_for_publish": false
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}